Subject: Re: Disabling "TCP Treason uncloaked"

From: Just Marc <[email-masked]>
Date: Wed, 03 May 2006 09:06:30 +0100

> From: Andi Kleen <[email-masked]>
> Date: Tue, 2 May 2006 18:02:43 +0200
>
>   
>> On Tuesday 02 May 2006 18:19, Just Marc wrote:
>>
>>     
>>> I thought that maybe it's time to either set TCP_DEBUG to 0 or 
>>> alternatively allow an admin to toggle the printing of this message 
>>> off/on?  On a few busy web servers running usually latest versions of 
>>> 2.6 I have this message displaying hundreds (if not more) times a day, 
>>>       
>> You're talking to a lot of broken TCP clients then.
>>     
>
> Herbert Xu also fixed a bug that would cause that message
> to be emitted erroneously, 9 times out of 10 that is why
> people are seeing these messages.
>
> I think disabling that message is a non-starter, we want to
> see the message because as we've seen it can point to bugs
> on our end too.
>
>   
Correct, I noticed this was applied to 2.6.14, however, I am running 
2.6.16 (and now 2.6.16.12) on all of the machines in question, I am 
seeing hundreds of these messages a day...

Thanks